/* CNRS/LAAS, 2011
 * Public domain
 */

#ifndef OPENROBOTS_JOINT_STATE_H
#define OPENROBOTS_JOINT_STATE_H

#define JOINT_STATE_MAX_DOF 128

/* The robot configuration */
typedef struct ori_jointstate {
/* The time stamp */
  unsigned int sec;
  unsigned int nsec;
/* The joints configuration */
  unsigned int nb_dofs;
  double q[JOINT_STATE_MAX_DOF];
} ori_jointstate;

#endif
